Bug 537679 - SELinux is preventing /usr/bin/python "search" access on 12304.
Summary: SELinux is preventing /usr/bin/python "search" access on 12304.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 12
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:018e8e2d5ae...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-11-15 18:04 UTC by ojab
Modified: 2013-01-13 11:21 UTC (History)
55 users (show)

Fixed In Version: 3.6.32-46.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-11-24 07:49:37 UTC
Type: ---


Attachments (Terms of Use)

Description ojab 2009-11-15 18:04:28 UTC
Summary:

SELinux is preventing /usr/bin/python "search" access on 12304.

Detailed Description:

[yum has a permissive type (abrt_t). This access was not denied.]

SELinux denied access requested by yum. It is not expected that this access is
required by yum and this access may signal an intrusion attempt. It is also
possible that the specific version or configuration of the application is
causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                system_u:system_r:abrt_t:s0
Target Context                unconfined_u:system_r:rpm_t:s0-s0:c0.c1023
Target Objects                12304 [ dir ]
Source                        yum
Source Path                   /usr/bin/python
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           python-2.6.2-2.fc12
Target RPM Packages           
Policy RPM                    selinux-policy-3.6.32-41.fc12
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed) 2.6.31.5-127.fc12.x86_64 #1 SMP
                              Sat Nov 7 21:11:14 EST 2009 x86_64 x86_64
Alert Count                   5
First Seen                    Sun 15 Nov 2009 08:59:20 PM MSK
Last Seen                     Sun 15 Nov 2009 09:01:18 PM MSK
Local ID                      80682ceb-7a89-4f51-8303-5ced28218020
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1258308078.848:23756): avc:  denied  { search } for  pid=14277 comm="yum" name="12304" dev=proc ino=27650754 scontext=system_u:system_r:abrt_t:s0 tcontext=unconfined_u:system_r:rpm_t:s0-s0:c0.c1023 tclass=dir

node=(removed) type=SYSCALL msg=audit(1258308078.848:23756): arch=c000003e syscall=4 success=yes exit=0 a0=1b04080 a1=7fffaa842050 a2=7fffaa842050 a3=20 items=0 ppid=14276 pid=14277 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="yum" exe="/usr/bin/python" subj=system_u:system_r:abrt_t:s0 key=(null)



Hash String generated from  selinux-policy-3.6.32-41.fc12,catchall,yum,abrt_t,rpm_t,dir,search
audit2allow suggests:

#============= abrt_t ==============
allow abrt_t rpm_t:dir search;

Comment 1 Miroslav Grepl 2009-11-16 09:31:51 UTC
Fixed in selinux-policy-3.6.32-42.fc12.noarch

Comment 2 Fedora Update System 2009-11-16 19:38:43 UTC
selinux-policy-3.6.32-46.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/selinux-policy-3.6.32-46.fc12

Comment 3 Fedora Update System 2009-11-18 14:12:45 UTC
selinux-policy-3.6.32-46.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-11672

Comment 4 Fedora Update System 2009-11-24 07:47:40 UTC
selinux-policy-3.6.32-46.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Andrew Young 2010-01-28 20:35:59 UTC
Currently adding updated software for Fedora 12. Difficulty with "Python" and "abrt's" installations. Newbie just installed Fedora 12.


Note You need to log in before you can comment on or make changes to this bug.